gtkmm: Gtk::Tooltips Class Reference

gtkmm 2.24.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Protected Member Functions | Related Functions

# Gtk::Tooltips Class Reference

Tooltips are the messages that appear next to a widget when the mouse pointer is held over it for a short amount of time. More...

Inheritance diagram for Gtk::Tooltips:
[legend]
Collaboration diagram for Gtk::Tooltips:
[legend]

List of all members.

## Public Member Functions
virtual | ~Tooltips ()
GtkTooltips* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkTooltips* | gobj () const
| Provides access to the underlying C GtkObject.
| Tooltips ()
void | enable ()
void | disable ()
void | set_tip (Widget& widget, const Glib::ustring& tip_text, const Glib::ustring& tip_private)
| Adds a tooltip containing the message tip_text to the specified Gtk::Widget.
void | set_tip (Widget& widget, const Glib::ustring& tip_text)
void | unset_tip (Widget& widget)
void | force_window ()
## Static Protected Member Functions
static GtkTooltipsData* | data_get (Widget& widget)
## Related Functions
(Note that these are not member functions.)
Gtk::Tooltips* | wrap (GtkTooltips* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Tooltips are the messages that appear next to a widget when the mouse pointer is held over it for a short amount of time.

They are especially helpful for adding more verbose descriptions of things such as buttons in a toolbar.

This widget holds tooltips for other widgets. You should only need one Tooltip widget for all widgets you wish to add tips to.

Deprecated:
  Use the Gtk::Tooltip API instead.

## Constructor & Destructor Documentation

virtual Gtk::Tooltips::~Tooltips | ( |  | ) | `[virtual]`

Gtk::Tooltips::Tooltips | ( |  | ) |

## Member Function Documentation

static GtkTooltipsData* Gtk::Tooltips::data_get | ( | Widget& | widget | ) | `[static, protected]`

void Gtk::Tooltips::disable | ( |  | ) |

void Gtk::Tooltips::enable | ( |  | ) |

void Gtk::Tooltips::force_window | ( |  | ) |

const GtkTooltips* Gtk::Tooltips::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Object.

GtkTooltips* Gtk::Tooltips::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Object.

void Gtk::Tooltips::set_tip | ( | Widget& | widget,
|  | const Glib::ustring & | tip_text
| ) |  |

void Gtk::Tooltips::set_tip | ( | Widget& | widget,
|  | const Glib::ustring & | tip_text,
|  | const Glib::ustring & | tip_private
| ) |  |

Adds a tooltip containing the message tip_text to the specified Gtk::Widget.

Deprecated: 2.12:

Parameters:

  widget | The Gtk::Widget you wish to associate the tip with.
  tip_text | A string containing the tip itself.
  tip_private | A string of any further information that may be useful if the user gets stuck.

void Gtk::Tooltips::unset_tip | ( | Widget& | widget | ) |

## Friends And Related Function Documentation

Gtk::Tooltips* wrap | ( | GtkTooltips * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/tooltips.h